Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

General request format:

GET http://IP- address:port/web2/secure/configuration?pageItems={pageItems}&page={page}&{objectClass}={objectClass}&{objectId}={objectId}

Request parameters:

Sets   by default The Sets by default pageItems=1
ParameterIs requiredRequiredDescription
pageItemsNo

Specifies the number of objects displayed on the page.

The value must be greater than 0. By default,

page=1000.

The page parameter only applies when the pageItems parameter is specified

pageNo

Specifies the page number displayed as a result of the request. The value must be greater than 0. By default,

pageItems=1

objectClassNo

Identifier of an object class. Example: GRELE, MACRO, CAM

objectIdNo

Object class and object ID, separated by a colon. Examples: CAM:1, GRAY:5, PEOPLE_COUNTER:1

Note
titleAttention!

If there are many objects in the system (>1000) they are to be displayed by pages., you must use a page-by-page display.

All objects are processed page by page Processing of all objects is performed page by pare until an empty array is received.

Request example:

GET http://127.0.0.1:8085/web2/secure/configuration

Response example:

The request returns the list of the following objects with their states:

  • List of cameras added to the Web - server with IDs of linked of corresponding microphones, dynamicsspeakers, PTZ devices, presets, as well as monitors and displays to which the camera added (see also also Selecting and configuring cameras for the Web-server module);.
  • List of displays and monitors on which the cameras added to the Web - server are displayed;.
  • List of cameras, added to the maps and selected for to be used by the Web Server 2.0 are returned – see Selecting maps;
  • sensors;
  • relays;
  • macros;
  • (see Map selection).
  • List of sensors
  • List of relays.
  • List of macros.
  • List of RTSP servers with ports used, and cameras added;.
  • List of Noder objects.
  • List of areas list of zones and regions.

JSON:

Expand
titleClick to expand...


Code Block
languagejs
[
    {
        "type": "NODER_EE12_OUTPUT",
        "id": "NODER_EE12_OUTPUT:1.1",
        "extId": "1.1",
        "name": "Noder Output 1",
        "state": {
            "id": "unkown",
            "type": "NORMAL",
            "fullState": null"
            }
    },
    {
        "id": "1",
        "name": "Area 1",
        "regions": [
            {
                "id": "1.1",
                "zoneId": "1",
                "name": "Region 1.1",
                "zoneDescription": "Zone description"
            }
        ]
    },
    {
        "type": "DISPLAY",
        "id": "DISPLAY:1",
        "extId": "1",
        "name": "Display 1",
        "displayId": "1",
        "state": {
            "id": "normal",
            "type": "NORMAL",
            "fullState": null
        }
    },
    {
        "type": "MACRO",
        "id": "MACRO:2",
        "extId": "2",
        "name": "Macro 2",
        "state": {
            "id": "normal",
            "type": "NORMAL",
            "fullState": null
        }
    },
    {
        "type": "STREAMING_SERVER",
        "id": "STREAMING_SERVER:1",
        "extId": "1",
        "name": "RTSP Server 1",
        "state": {
            "id": "normal",
            "type": "NORMAL",
            "fullState": null
        },
        "port": "554",
        "cams": "1;;;;;;"
    },
    {
        "type": "CAM",
        "id": "CAM:1",
        "extId": "1",
        "name": "Camera 1",
        "displayId": "1",
        "monitorId": "1",
        "state": {
            "id": "connected_recording",
            "type": "NORMAL",
            "fullState": "DISARMED|RECORDER_ON|RECORDING"
        },
        "presets": []
    },
    {
        "type": "SLAVE",
        "id": "SLAVE:COMP",
        "extId": "COMP",
        "name": "Computer DESKTOP-JHRURJJ",
        "state": {
            "id": "connected",
            "type": "NORMAL",
            "fullState": null
        }
    },
    {
        "type": "MONITOR",
        "id": "MONITOR:1",
        "extId": "1",
        "name": "Monitor 1",
        "displayId": "1",
        "monitorId": "1",
        "state": {
            "id": "normal",
            "type": "NORMAL",
            "fullState": null
        },
        "camList": [
            "1"
        ]
    }
]  

XML:

Expand
titleClick to expand...
Code Block
languagexml
<baseObjects>
   <CAM>
      <displayId>1</displayId>
      <extId>9</extId>
      <geo_angle>0.0</geo_angle>
      <id>CAM:9</id>
      <latitide>-98.0533</latitide>
      <longitude>56.4089</longitude>
      <monitorId>1;2</monitorId>
      <name>Camera 9</name>
      <regionId />
      <state>
         <fullState>DISARMED</fullState>
         <id>connected</id>
         <type>NORMAL</type>
      </state>
      <type>CAM</type>
      <additionalInfo />
      <micId />
      <presets />
      <speakerId />
      <telemetryId />
   </CAM>
   <baseObject>
      <displayId>1</displayId>
      <extId>1</extId>
      <id>DISPLAY:1</id>
      <name>Display 1</name>
      <state>
         <id>normal</id>
         <type>NORMAL</type>
      </state>
      <type>DISPLAY</type>
   </baseObject>
   <CAM>
      <displayId>1</displayId>
      <extId>5</extId>
      <geo_angle>0.0</geo_angle>
      <id>CAM:5</id>
      <latitide>-97.6674</latitide>
      <longitude>56.3588</longitude>
      <monitorId>1</monitorId>
      <name>pos</name>
      <regionId />
      <state>
         <fullState>DISARMED</fullState>
         <id>connected</id>
         <type>NORMAL</type>
      </state>
      <type>CAM</type>
      <additionalInfo />
      <micId />
      <presets />
      <speakerId />
      <telemetryId />
   </CAM>
   <STREAMING_SERVER>
      <cams>1;2;3;4;5;6;9;;;;;;;;;;</cams>
      <extId>1</extId>
      <id>STREAMING_SERVER:1</id>
      <name>RTSP Server 1</name>
      <state>
         <id>normal</id>
         <type>NORMAL</type>
      </state>
      <type>STREAMING_SERVER</type>
      <port>5543</port>
   </STREAMING_SERVER>
   <CAM>
      <displayId>1</displayId>
      <extId>1</extId>
      <geo_angle>0.0</geo_angle>
      <id>CAM:1</id>
      <latitide>-98.3293</latitide>
      <longitude>56.741</longitude>
      <monitorId>1;2</monitorId>
      <name>Camera 1</name>
      <regionDescription />
      <regionId>1.1</regionId>
      <regionName>Region 1.1</regionName>
      <state>
         <fullState>DISARMED</fullState>
         <id>connected</id>
         <type>NORMAL</type>
      </state>
      <type>CAM</type>
      <zoneId>1</zoneId>
      <zoneName>Area 1</zoneName>
      <additionalInfo />
      <micId />
      <presets />
      <speakerId />
      <telemetryId />
   </CAM>
   <SLAVE>
     

...

 <extId>COMP</extId>
      <id>SLAVE:

...

COMP</id>
      <name>LOCALHOST</name>
      <state>
         <id>connected</id>
         <type>NORMAL</type>
      </state>
      <type>SLAVE</type>
   </SLAVE>
   <baseObject>
      <displayId>1</displayId>
      <extId>2</extId>
      <id>MONITOR:2</id>
      <monitorId>2</monitorId>
      <name>Monitor 2</name>
      <state>
         <id>normal</id>
         <type>NORMAL</type>
      </state>
      <type>MONITOR</type>
   </baseObject>
   <baseObject>
      <displayId>1</displayId>
      <extId>1</extId>
      <id>MONITOR:1</id>
      <monitorId>1</monitorId>
      <name>Monitor 1</name>
      <state>
         <id>normal</id>
         <type>NORMAL</type>
      </state>
      <type>MONITOR</type>
   </baseObject>
</baseObjects>


Response parameters:


";"
ParameterDescription
General parameters

extId

Object ID

id

Object type and ID in the format TYPE:ID

name

Object name

state

Object state. The For the description of the <id>, <type>, and <fullState> description parameters, see in State of a specific object

type

Object type
Specific parameters

cams

List of cameras added to the RTSP Server with semicolon as a separatorserver separated by a semicolon

port

Port used by the RTSP Serverserver
regionDescriptionRegion descriptionDescription of a region

regionId

ID of the region to which the object is added
regionNameRegion name
zoneIdID of the zone to which the object is added
zoneNameZone name
latitideLatitude (object coordinate).

The parameter has a non-zero value if:

  1. An external map is used for as the layer background (see see Configuring the external Map server), or
  2. The layer is tied bound to geo coordinates geocoordinates (see see Configuring map binding to coordinate grid)
longitudeLongitude (object coordinate).

The parameter has a non-zero value if:

  1. An external map is used for as the layer background (see see Configuring the external Map server), or
  2. The layer is tied bound to geo coordinates geocoordinates (see see Configuring map binding to coordinate grid)
monitorIdFor camera: ID of the monitor to which the camera is added.  If If there are several IDs, they are separated by a semicolon ";"
monitorNameFor monitor: name of the monitor
geo_angleFor camera: viewing angle (for camera, see Configuring the camera viewing angle display on the Map)
additionalInfo For camera: the value of the Additional info field value
linkedObjectsFor camera: list of connected objects, separated by comma
micId For camera: the ID of the associated connected microphone
presets For camera: preset list
speakerId For camera: the ID of the associatedconnected speaker
telemetryId For camera: the ID of the PTZ control panel
displayIdFor interface objects: display ID. If there are several IDs, they are separated by a semicolon ";"
displayNameFor display: display name
camListFor monitor: IDs of cameras added to the monitor separated by a semicolon